﻿using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System.IO;
using System.Drawing;
using Syncfusion.Pdf.Grid;

namespace Sample
{
    class Program
    {
       
        public static string DataPathOutput
        {
            get
            {
                if (!Directory.Exists(System.Environment.CurrentDirectory + @"\..\..\Output\"))
                    Directory.CreateDirectory(System.Environment.CurrentDirectory + @"\..\..\Output\");
                return System.Environment.CurrentDirectory + @"\..\..\Output\";
            }
        }
        public static PdfDocument mxDocument;
        public static SizeF mxPageSize;
        public static PdfPage mxPage;
        static void Main(string[] args)
        {
            CreateDocument();
        }
       

        public static void CreateDocument()
        {
            //Creating new PDF document instance
             mxDocument = new PdfDocument();
           SizeF mxPageSize = mxDocument.PageSettings.Size;

            //Setting margin
            mxDocument.PageSettings.Margins.All = 0;

           

            //Adding sections
            PdfSection section1 = mxDocument.Sections.Add();
            mxPage = section1.Pages.Add();

            PdfSection section2 = mxDocument.Sections.Add();
            section2.Pages.Add();

            //Set graphics
           PdfGraphics mxGraphics = mxPage.Graphics;

            //Adding Header
            AddLogo(section1);

            //Add Content
            AddPdfGrid();
            //Insert another PdfGrid and loop through list adding content rows

            //save document
            mxDocument.Save(DataPathOutput+"Header.pdf");
            System.Diagnostics.Process.Start(DataPathOutput + "Header.pdf");

        }



        private static void AddLogo(PdfSection section)
        {
            RectangleF rect = new RectangleF(0, 0, mxDocument.Pages[0].GetClientSize().Width, 192);

            //Create page template
            PdfPageTemplateElement header = new PdfPageTemplateElement(rect);

            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 40);
            header.Graphics.DrawString("Header1", font, PdfBrushes.Blue, 20, 20);


           
            section.Template.Top = header;
        }

        private static void AddPdfGrid()
        {
            //Create the grid
            PdfGrid headerGrid = new PdfGrid();

            //Add the rows
            PdfGridRow row1 = headerGrid.Rows.Add();
            PdfGridRow row2 = headerGrid.Rows.Add();

            //Add the column/s
            headerGrid.Columns.Add(1);
            headerGrid.Columns[0].Width = (mxPageSize.Width - 100);

            //Set the value to the specific cell.
            headerGrid.Rows[0].Cells[0].StringFormat = new PdfStringFormat(PdfTextAlignment.Center);
            headerGrid.Rows[0].Cells[0].Value = "Value1";

            headerGrid.Rows[1].Cells[0].StringFormat = new PdfStringFormat(PdfTextAlignment.Center);
            headerGrid.Rows[1].Cells[0].Value ="Value2";

            //Specify the style for the PdfGridCell.
            PdfGridCellStyle GridCellStyle = new PdfGridCellStyle();

           
            //Apply style
            headerGrid.Rows[0].Cells[0].Style = GridCellStyle;

            //Draw the PdfGrid.            
            headerGrid.Draw(mxPage, new PointF(50, 250));
        }


    }
}

